Bug 96000 - [PATCH] security/tor-devel doesn't start on boot
Summary: [PATCH] security/tor-devel doesn't start on boot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-18 15:00 UTC by Fabian Keil
Modified: 2006-06-05 14:24 UTC (History)
0 users

See Also:


Attachments
tor.diff.txt (1.06 KB, text/plain)
2006-04-22 16:04 UTC, Peter Thoenen
no flags Details
tor.diff.txt (1.64 KB, text/plain)
2006-05-05 15:41 UTC, Peter Thoenen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2006-04-18 15:00:29 UTC
The start script coming with tor-devel lacks the PROVIDE line
and therefore isn't called on boot.

Fix: 

Add the line "PROVIDE: tor" to the start script or apply
http://www.fabiankeil.de/sourcecode/tor.in.patch
before installing tor-devel.
How-To-Repeat: Install tor-devel, add tor_enable="YES" to /etc/rc.conf and reboot.
Comment 1 Edwin Groothuis freebsd_committer 2006-04-18 15:04:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Peter Thoenen 2006-04-22 16:04:58 UTC
Thanks much for pointing this out Fabian.

Committer: Use newly attached patch as it also cleans up some items I
missed in my last update (pkg-plist fix and add additional master
site).  Also while I am here, any reason PROVIDE: tor is needed ... I
think of my 6.0 box it was running at boot just fine.  There a change I miss?
Comment 3 Peter Thoenen 2006-05-05 15:41:44 UTC
Attached is the fix for this and yet another update (1.1.19).
Comment 4 Pav Lucistnik freebsd_committer 2006-06-05 14:24:09 UTC
State Changed
From-To: feedback->closed

Supplanted by ports/98375 and will be fixed in CVS shortly. 
Thank you for reporting!